// 进入虚空将玩家传送进洞穴维度
PlayerEvents.tick(event => {
    let player = event.player
    if (player.age % 20 == 0) {
        let getDimension = player.level.getDimension()
        if (getDimension == "undergarden:undergarden" && player.y < -5) {
            player.teleportTo("gods_ember:caves", 0, 0, 0, player.yaw, player.pitch)
        }
    }
})
// NativeEvents.onEvent($LivingDamageEvent, event => {
//     let player = event.source.actual
//     let entity = event.entity
//     if (player && entity && player.isPlayer()) {
//         let armor = entity.getAttributeTotalValue('minecraft:generic.armor')
//         let damage = event.amount
//         let count = 0
//         if (damage > 1000) {
//             count = 1
//         }
//     }
// })